package com.heyu.api.data.service.impl.draw;

import com.heyu.api.data.entity.vv.VvPromoterTradeOrderAwardEntity;
import com.heyu.api.data.enums.ActionEnums;
import com.heyu.api.data.enums.AwardStatusEnums;
import com.heyu.api.data.service.impl.AbstractDrawAction;

public class AgreeDrawAction extends AbstractDrawAction {

    @Override
    public ActionEnums getAction(VvPromoterTradeOrderAwardEntity vvTradeOrderLineEntity, boolean isApp) {

        if (
                AwardStatusEnums.arrive.getStatus().equals(vvTradeOrderLineEntity.getStatus()) ||
                        AwardStatusEnums.apply_draw.getStatus().equals(vvTradeOrderLineEntity.getStatus())
        ) {
            if (isApp) {
                return ActionEnums.Admin_Seller_Agree_Draw;
            }
        }

        return null;
    }
}
